@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

:root {
  --primary-color: #fdb701;
  --primary-color-dark: #e9a200;
  --text-dark: #0a0a0a;
  --text-light: #737373;
  --white: #ffffff;
  --max-width: 1024px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__header {
  margin-bottom: 1rem;
  font-size: 3.5rem;
  font-weight: 600;
  line-height: 4rem;
  color: var(--text-dark);
}

.section__header span {
  font-size: 5.5rem;
}

.section__description {
  margin-bottom: 2rem;
  line-height: 1.75rem;
  color: var(--text-light);
}

.btn {
  padding: 0.75rem 1.5rem;
  outline: none;
  border: none;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.btn:hover {
  background-color: var(--primary-color-dark);
}

img {
  display: flex;
  width: 100%;
}

a {
  text-decoration: none;
  transition: 0.3s;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: "Open Sans", sans-serif;
}

.container {
  min-height: 100vh;
  max-width: 100vw;
  overflow: hidden;
}

.header {
  position: relative;
  isolation: isolate;
}

nav {
  position: absolute;
  width: 100%;
  max-width: var(--max-width);
  top: 0;
  left: 50%;
  transform: translate(-50%);
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 9;
}

.nav__logo a img {
  max-width: 50px;
}

.nav__logo .logo-color {
  display: none;
}

.nav__links {
  list-style: none;
  position: absolute;
  right: 1rem;
  top: 95px;
  width: 100%;
  max-width: 350px;
  padding: 5px;
  gap: 5px;
  background-color: var(--primary-color);
  border-radius: 1rem;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
  display: none;
}

.nav__links.open {
  display: grid;
}

.nav__links a {
  display: inline-block;
  width: 100%;
  padding: 0.75rem;
  white-space: nowrap;
  font-weight: 500;
  color: var(--text-dark);
  border-radius: 10px;
  text-align: center;
}

.nav__links a:hover {
  color: var(--white);
  background-color: var(--primary-color-dark);
}

.nav__menu__btn {
  padding: 5px 11px;
  font-size: 1.5rem;
  color: var(--white);
  background-color: rgba(0, 0, 0, 0.1);
  border: 1px solid var(--white);
  border-radius: 5px;
  cursor: pointer;
}

.header__image {
  height: 100%;
  min-height: 500px;
  background-image: url("assets/header.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  border-bottom-left-radius: 15rem;
}

.header__content {
  padding-block: 5rem;
  padding-inline: 1rem;
  text-align: center;
}

.feature__image {
  position: relative;
  isolation: isolate;
  height: 100%;
  min-height: 400px;
}

.feature__image::after {
  position: absolute;
  content: "";
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url("assets/feature.jpg");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.feature__content {
  padding-block: 5rem;
  padding-inline: 1rem;
}

.feature__content .icon {
  font-size: 3rem;
  color: var(--text-dark);
}

.feature__card:not(:first-child) .icon {
  margin-top: 2rem;
}

.feature__content h4 {
  margin-bottom: 0.5rem;
  font-size: 2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.feature__content p {
  padding-bottom: 1rem;
  line-height: 1.75rem;
  color: var(--text-light);
}

.feature__card:not(:last-child) p {
  border-bottom: 2px dashed var(--text-dark);
}

.quality__image {
  position: relative;
  isolation: isolate;
  height: 100%;
  min-height: 400px;
}

.quality__image::after {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("assets/quality.jpg");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.quality__content {
  padding-block: 5rem;
  padding-inline: 1rem;
  text-align: center;
}

.review__container {
  max-width: var(--max-width);
  margin-inline: auto;
  padding: 5rem 1rem;
  text-align: center;
}

.swiper {
  margin-top: 2rem;
  width: 100%;
}

.review__card {
  max-width: 600px;
  margin-inline: auto;
  padding: 2rem;
}

.review__card img {
  margin-bottom: 1rem;
  max-width: 150px;
  margin-inline: auto;
  border-radius: 100%;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}

.review__card h4 {
  margin-bottom: 5px;
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--text-dark);
}

.review__card h5 {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 500;
  columns: var(--text-light);
}

.review__card p {
  line-height: 1.75rem;
  color: var(--text-dark);
}

.footer {
  background-color: var(--primary-color-dark);
}

.footer__content {
  max-width: var(--max-width);
  margin-inline: auto;
  padding: 5rem 1rem;
  text-align: center;
}

.footer__content a img {
  margin-bottom: 2rem;
  margin-inline: auto;
  max-width: 60px;
}

.footer__socials {
  margin-bottom: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.footer__socials a {
  padding: 5px 9px;
  font-size: 1.5rem;
  color: var(--white);
  background-color: var(--text-dark);
  border-radius: 100%;
}

.footer__socials a:hover {
  color: var(--primary-color-dark);
  background-color: var(--white);
}

.footer__content p {
  color: var(--white);
}

@media (width > 768px) {
  .section__container {
    display: grid;
    grid-template-columns:
      minmax(1rem, 1fr)
      minmax(0, calc(var(--max-width) / 2))
      minmax(0, calc(var(--max-width) / 2))
      minmax(1rem, 1fr);
    align-items: center;
  }

  nav {
    padding: 2rem 1rem;
  }

  .nav__logo .logo-color {
    display: flex;
  }

  .nav__logo .logo-white {
    display: none;
  }

  .header__image {
    grid-area: 1/3/2/5;
  }

  .header__content {
    padding-inline: 0 2rem;
    padding-block: 14rem 10rem;
    text-align: left;
    grid-column: 2/3;
  }

  .feature__image {
    position: relative;
    isolation: isolate;
    grid-column: 1/3;
  }

  .feature__image::after {
    top: 8rem;
    max-width: 600px;
    height: 100vw;
    transform: translateX(25%) rotate(45deg);
    transform-origin: top;
    border-top-left-radius: 25rem;
    border-top-right-radius: 25rem;
  }

  .feature__content {
    padding-inline: 2rem;
    padding-block: 8rem;
    text-align: left;
    grid-area: 1/3/2/4;
  }

  .quality__image {
    position: relative;
    isolation: isolate;
    grid-area: 1/3/2/5;
  }

  .quality__image::after {
    top: 8rem;
    max-width: 600px;
    height: 100vw;
    transform: translateX(-25%) rotate(-45deg);
    background-position: left center;
    transform-origin: top;
    border-top-left-radius: 25rem;
    border-top-right-radius: 25rem;
  }

  .quality__content {
    padding-inline: 0 2rem;
    padding-block: 8rem;
    text-align: left;
    grid-column: 2/3;
  }

  .review__container {
    padding-block: 10rem 5rem;
  }
}
